summaryrefslogtreecommitdiffstats
path: root/debian/dovecot-imapd.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:51:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:51:25 +0000
commit4a31b814a318a37fe8b58d42f2025e49072971e4 (patch)
tree5ba51f467804ef2f6fea80a7ea2682cbdec1ff8f /debian/dovecot-imapd.postinst
parentAdding upstream version 1:2.3.19.1+dfsg1. (diff)
downloaddovecot-4a31b814a318a37fe8b58d42f2025e49072971e4.tar.xz
dovecot-4a31b814a318a37fe8b58d42f2025e49072971e4.zip
Adding debian version 1:2.3.19.1+dfsg1-2.1.debian/1%2.3.19.1+dfsg1-2.1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/dovecot-imapd.postinst')
-rw-r--r--debian/dovecot-imapd.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/dovecot-imapd.postinst b/debian/dovecot-imapd.postinst
new file mode 100644
index 0000000..d85113f
--- /dev/null
+++ b/debian/dovecot-imapd.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ CONFFILES="conf.d/20-imap.conf"
+
+ for conffile in $CONFFILES ; do
+ # Tell ucf that the file in /usr/share/dovecot is the latest
+ # maintainer version, and let it handle how to manage the real
+ # configuration file in /etc/dovecot.
+ ucf --three-way "/usr/share/dovecot/$conffile" "/etc/dovecot/$conffile"
+ ucfr dovecot-imapd "/etc/dovecot/$conffile"
+ done
+
+ echo 'protocols = $protocols imap' > /usr/share/dovecot/protocols.d/imapd.protocol
+fi
+
+#DEBHELPER#